Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/rewards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 1
}
}
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Retrieves a single reward by ID.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/rewards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 1
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique reward identifier.
Reward details.
Reward resource representation.
Unique reward identifier.
Reward display name.
Reward type.
MATERIAL, DIGITAL Current lifecycle status.
ACTIVE, DRAFT, INACTIVE, DELETED Key-value metadata.
ISO 8601 creation timestamp.
ISO 8601 last-update timestamp. Null if never updated.
"reward"Material configuration. Present only when type is MATERIAL.
Show child attributes
Digital configuration. Present only when type is DIGITAL.
Show child attributes
Was this page helpful?